aboutsummaryrefslogtreecommitdiff
path: root/test/cirrus.sh
diff options
context:
space:
mode:
authorGeorgy Yakovlev <gyakovlev@gentoo.org>2018-12-05 11:41:56 -0800
committerWilliam Hubbs <w.d.hubbs@gmail.com>2019-02-19 13:59:01 -0600
commit065b7ecc0d4ddd046cc235d60de20140db1a6fe8 (patch)
treedd35afb7e1437b3c6462d40955e08076d02a7747 /test/cirrus.sh
parentb054aca50b31fc46fc736a542ec2719de2d23d30 (diff)
use cirrus-ci for FreeBSD builds
This fixes #265.
Diffstat (limited to 'test/cirrus.sh')
-rwxr-xr-xtest/cirrus.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/test/cirrus.sh b/test/cirrus.sh
new file mode 100755
index 00000000..286dd360
--- /dev/null
+++ b/test/cirrus.sh
@@ -0,0 +1,21 @@
+#!/bin/bash
+# Copyright (c) 2007-2018 The OpenRC Authors.
+# See the Authors file at the top-level directory of this distribution and
+# https://github.com/OpenRC/openrc/blob/master/AUTHORS
+#
+# This file is part of OpenRC. It is subject to the license terms in
+# the LICENSE file found in the top-level directory of this
+# distribution and at https://github.com/OpenRC/openrc/blob/master/LICENSE
+# This file may not be copied, modified, propagated, or distributed
+# except according to the terms contained in the LICENSE file.
+
+set -e
+set -u
+set -x
+
+# These are steps to run on Cirrus CI under a jailed FreeBSD system.
+# See $TOP/.cirrus.yml for more info about the Cirrus CI setup.
+
+cpus=$(getconf NPROCESSORS_CONF || echo 1)
+gmake -j"${cpus}" -O
+gmake test